Package org.eclipse.net4j.util.ui.widgets

# Class DoubleClickButtonAdapter

java.lang.Object
org.eclipse.net4j.util.ui.widgets.DoubleClickButtonAdapter

All Implemented Interfaces:
  `EventListener`, `SelectionListener`

public abstract class DoubleClickButtonAdapter extends Object implements SelectionListener

Since:
  3.13
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`DoubleClickButtonAdapter(Button button)`

## Method Summary

Modifier and Type
Method
Description
`final void`
`widgetDefaultSelected(SelectionEvent e)`
`abstract void`
`widgetDoubleClicked(SelectionEvent e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.swt.events.SelectionListener

`widgetSelected`

## Constructor Details

### DoubleClickButtonAdapter

public DoubleClickButtonAdapter(Button button)

## Method Details

### widgetDefaultSelected

public final void widgetDefaultSelected(SelectionEvent e)

Specified by:
  `widgetDefaultSelected` in interface `SelectionListener`

### widgetDoubleClicked

public abstract void widgetDoubleClicked(SelectionEvent e)